Loading...
Searching...
No Matches
L4::Bounds_error Class Reference
L4Re C++ Interface » C++ Exceptions

Access out of bounds. More...

`#include <exceptions>`

Inheritance diagram for L4::Bounds_error:
Collaboration diagram for L4::Bounds_error:

## Additional Inherited Members

Public Member Functions inherited from L4::Runtime_error
| Runtime_error (long err_no, char const *extra=0) noexcept
| Create a new Runtime_error.
char const * | str () const noexcept override
| Return a human readable string for the exception.
char const * | extra_str () const
| Get the description text for this runtime error.
long | err_no () const noexcept
| Get the error value for this runtime error.
Public Member Functions inherited from L4::Base_exception
virtual | ~Base_exception () noexcept
| Destruction.
Public Member Functions inherited from L4::Exception_tracer
void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.
Protected Member Functions inherited from L4::Base_exception
| Base_exception () noexcept
| Create a base exception.
Protected Member Functions inherited from L4::Exception_tracer
| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Access out of bounds.

Definition at line 278 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions